| optoICC

Loading...
Searching...
No Matches
optoICC.registers.icc_registers.ICCTemperatureManager Class Reference
Inheritance diagram for optoICC.registers.icc_registers.ICCTemperatureManager:

## Public Member Functions
| __init__ (self, board=None)
| GetDeviceTemperature (self)
| Gets actual device temperature of the active channel.
| GetDeviceTemperatureThreshold (self)
| Gets device temperature threshold of the active channel.
| SetDeviceTemperatureThreshold (self, threshold=0)
| Sets device temperature threshold of the active channel.
| GetBoardOutTemperature (self)
| Gets driver output stage temperature.
| GetBoardOutTemperatureThreshold (self)
| Gets driver output stage temperature threshold.
| SetBoardOutTemperatureThreshold (self, threshold=0)
| Sets driver output stage temperature threshold.
| GetBoardPowTemperature (self)
| Gets driver power supply temperature.
| GetBoardPowTemperatureThreshold (self)
| Gets driver power supply temperature threshold.
| SetBoardPowTemperatureThreshold (self, threshold=0)
| Sets driver power supply temperature threshold.
| GetBoardMcuTemperature (self)
| Gets Micro-controller unit temperature.
| GetBoardMcuTemperatureThreshold (self)
| Gets Micro-controller unit temperature threshold.
| SetBoardMcuTemperatureThreshold (self, threshold=0)
| Sets Micro-controller unit temperature threshold.

## Static Public Member Functions
| help ()

## Public Attributes
int | sys_id = 0x22
dict | device_temperature
dict | device_temp_threshold
dict | board_out_temperature
dict | board_out_threshold
dict | board_pwr_temperature
dict | board_pwr_threshold
dict | board_mcu_temperature
dict | board_mcu_threshold

## Static Protected Attributes
bool | _is_a_system = False

## Detailed Description

    Device Functionality - Device Temperature Readout
    System ID: 0x22

    * | Address | Name                                      | Default | Description     | Type  | Access
    * |---------|-------------------------------------------|---------|-----------------|-------|-----------
    * | 0x2200  | Device temperature                        | N/A     | Degrees Celsius | float | read only
    * | 0x2201  | Device temperature threshold              | 80      | Degrees Celsius. If this threshold is reached the output of the driver is disabled to cool down. Temperature has to fall by 10 degrees so that the output is enabled again | float | read write
    * | 0x2202  | Driver output stage temperature           | N/A     | Degrees Celsius | float | read only
    * | 0x2203  | Driver output stage temperature threshold | 80      | Degrees Celsius. If this threshold is reached the output of the driver is disabled to cool down. Temperature has to fall by 10 degrees so that the output is enabled again | float | read/write
    * | 0x2204  | Driver power supply temperature           | N/A     | Degrees Celsius | float | read only
    * | 0x2205  | Driver power supply temperature threshold | 80      | Degrees Celsius. If this threshold is reached the output of the driver is disabled to cool down. Temperature has to fall by 10 degrees so that the output is enabled again | float | read write
    * | 0x2206  | MCU temperature                           | N/A     | Degrees Celsius | float | read only
    * | 0x2207  | MCU temperature threshold                 | 90      | Degrees Celsius. If this threshold is reached the MCU of the driver is disabled to cool down. Temperature has to fall by 10 degrees so that the output is enabled again | float | read write

## Constructor & Destructor Documentation

## ◆ __init__()

optoICC.registers.icc_registers.ICCTemperatureManager.__init__ | ( |  | self,
|  |  | board = None )

## Member Function Documentation

## ◆ help()

optoICC.registers.icc_registers.ICCTemperatureManager.help | ( |  | ) |
| static

## ◆ GetDeviceTemperature()

optoICC.registers.icc_registers.ICCTemperatureManager.GetDeviceTemperature | ( |  | self | ) |

Gets actual device temperature of the active channel.

Active cahnnel is set by 'Status.SetDeviceEEPROMactiveChannel(channel_index)'. This temperature can be also obtained by channel's TemperatureManager 'Channel_0.TemperatureManager.GetDeviceTemperature()'

## ◆ GetDeviceTemperatureThreshold()

optoICC.registers.icc_registers.ICCTemperatureManager.GetDeviceTemperatureThreshold | ( |  | self | ) |

Gets device temperature threshold of the active channel.

Active cahnnel is set by 'Status.SetDeviceEEPROMactiveChannel(channel_index)'. If this threshold is reached the output of the driver is disabled to cool down. Temperature has to fall by 10 degrees so that the output is enabled again. This temperature threshold can be also obtained by channel's TemperatureManager 'Channel_0.TemperatureManager.GetDeviceTemperatureThreshold()'

## ◆ SetDeviceTemperatureThreshold()

optoICC.registers.icc_registers.ICCTemperatureManager.SetDeviceTemperatureThreshold | ( |  | self,
|  |  | threshold = 0 )

Sets device temperature threshold of the active channel.

Active cahnnel is set by 'Status.SetDeviceEEPROMactiveChannel(channel_index)'. If this threshold is reached the output of the driver is disabled to cool down. Temperature has to fall by 10 degrees so that the output is enabled again. This temperature threshold can be also obtained by channel's TemperatureManager 'Channel_0.TemperatureManager.GetDeviceTemperatureThreshold()'

## ◆ GetBoardOutTemperature()

optoICC.registers.icc_registers.ICCTemperatureManager.GetBoardOutTemperature | ( |  | self | ) |

Gets driver output stage temperature.

## ◆ GetBoardOutTemperatureThreshold()

optoICC.registers.icc_registers.ICCTemperatureManager.GetBoardOutTemperatureThreshold | ( |  | self | ) |

Gets driver output stage temperature threshold.

If this threshold is reached the output of the driver is disabled to cool down. Temperature has to fall by 10 degrees so that the output is enabled again

## ◆ SetBoardOutTemperatureThreshold()

optoICC.registers.icc_registers.ICCTemperatureManager.SetBoardOutTemperatureThreshold | ( |  | self,
|  |  | threshold = 0 )

Sets driver output stage temperature threshold.

If this threshold is reached the output of the driver is disabled to cool down. Temperature has to fall by 10 degrees so that the output is enabled again

## ◆ GetBoardPowTemperature()

optoICC.registers.icc_registers.ICCTemperatureManager.GetBoardPowTemperature | ( |  | self | ) |

Gets driver power supply temperature.

## ◆ GetBoardPowTemperatureThreshold()

optoICC.registers.icc_registers.ICCTemperatureManager.GetBoardPowTemperatureThreshold | ( |  | self | ) |

Gets driver power supply temperature threshold.

If this threshold is reached the output of the driver is disabled to cool down. Temperature has to fall by 10 degrees so that the output is enabled again

## ◆ SetBoardPowTemperatureThreshold()

optoICC.registers.icc_registers.ICCTemperatureManager.SetBoardPowTemperatureThreshold | ( |  | self,
|  |  | threshold = 0 )

Sets driver power supply temperature threshold.

If this threshold is reached the output of the driver is disabled to cool down. Temperature has to fall by 10 degrees so that the output is enabled again

## ◆ GetBoardMcuTemperature()

optoICC.registers.icc_registers.ICCTemperatureManager.GetBoardMcuTemperature | ( |  | self | ) |

Gets Micro-controller unit temperature.

## ◆ GetBoardMcuTemperatureThreshold()

optoICC.registers.icc_registers.ICCTemperatureManager.GetBoardMcuTemperatureThreshold | ( |  | self | ) |

Gets Micro-controller unit temperature threshold.

If this threshold is reached the output of the driver is disabled to cool down. Temperature has to fall by 10 degrees so that the output is enabled again

## ◆ SetBoardMcuTemperatureThreshold()

optoICC.registers.icc_registers.ICCTemperatureManager.SetBoardMcuTemperatureThreshold | ( |  | self,
|  |  | threshold = 0 )

Sets Micro-controller unit temperature threshold.

If this threshold is reached the output of the driver is disabled to cool down. Temperature has to fall by 10 degrees so that the output is enabled again

## Member Data Documentation

## ◆ _is_a_system

bool optoICC.registers.icc_registers.ICCTemperatureManager._is_a_system = False
| static protected

## ◆ sys_id

int optoICC.registers.icc_registers.ICCTemperatureManager.sys_id = 0x22

## ◆ device_temperature

dict optoICC.registers.icc_registers.ICCTemperatureManager.device_temperature

Initial value:
= {'id': self.sys_id << 8 | 0x00, 'type': float, 'unit': '°C', 'range': None,
'default': None, 'value': None}

## ◆ device_temp_threshold

dict optoICC.registers.icc_registers.ICCTemperatureManager.device_temp_threshold

Initial value:
= {'id': self.sys_id << 8 | 0x01, 'type': float, 'unit': '°C', 'range': None,
'default': None, 'value': None}

## ◆ board_out_temperature

dict optoICC.registers.icc_registers.ICCTemperatureManager.board_out_temperature

Initial value:
= {'id': self.sys_id << 8 | 0x02, 'type': float, 'unit': '°C', 'range': None,
'default': None, 'value': None}

## ◆ board_out_threshold

dict optoICC.registers.icc_registers.ICCTemperatureManager.board_out_threshold

Initial value:
= {'id': self.sys_id << 8 | 0x03, 'type': float, 'unit': '°C', 'range': None,
'default': None, 'value': None}

## ◆ board_pwr_temperature

dict optoICC.registers.icc_registers.ICCTemperatureManager.board_pwr_temperature

Initial value:
= {'id': self.sys_id << 8 | 0x04, 'type': float, 'unit': '°C', 'range': None,
'default': None, 'value': None}

## ◆ board_pwr_threshold

dict optoICC.registers.icc_registers.ICCTemperatureManager.board_pwr_threshold

Initial value:
= {'id': self.sys_id << 8 | 0x05, 'type': float, 'unit': '°C', 'range': None,
'default': None, 'value': None}

## ◆ board_mcu_temperature

dict optoICC.registers.icc_registers.ICCTemperatureManager.board_mcu_temperature

Initial value:
= {'id': self.sys_id << 8 | 0x06, 'type': float, 'unit': '°C', 'range': None,
'default': None, 'value': None}

## ◆ board_mcu_threshold

dict optoICC.registers.icc_registers.ICCTemperatureManager.board_mcu_threshold

Initial value:
= {'id': self.sys_id << 8 | 0x07, 'type': float, 'unit': '°C', 'range': None,
'default': None, 'value': None}